%define upstream_name    Net-Lighthouse
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    a Perl interface to lighthouseapp.com
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Net-Lighthouse-0.06-hash-ordering.patch

BuildRequires: perl(Any::Moose)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(LWP)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Mouse)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::Mock::LWP)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::TreePP)
BuildRequires: perl(YAML::Syck)
BuildArch: noarch


%description
A Perl interface to lighthouseapp.com, by means of its official api.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-14.mga8
+ Revision: 1505578
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-13.mga7
+ Revision: 1285132
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.60.0-12.mga7
+ Revision: 1165864
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.60.0-11.mga7
+ Revision: 1158577
- add BR on perl(inc::Module::Install)

* Thu Feb 09 2017 pterjan <pterjan> 0.60.0-10.mga6
+ Revision: 1085193
- Fix hash ordering bug

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-9.mga6
+ Revision: 1031166
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.60.0-8.mga6
+ Revision: 965151
- Mageia 6 Mass Rebuild

* Sun Dec 14 2014 sander85 <sander85> 0.60.0-7.mga5
+ Revision: 803149
- Use make instead of %%make for tests to fail less often

* Sun Oct 19 2014 umeabot <umeabot> 0.60.0-6.mga5
+ Revision: 789495
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 685686
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 370746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 36447
- mageia rebuild
- imported package perl-Net-Lighthouse


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.60.0-1mdv2010.1
+ Revision: 542874
- import perl-Net-Lighthouse


* Thu May 06 2010 cpan2dist 0.06-1mdv
- initial mdv release, generated with cpan2dist
